QT -= core gui

TARGET = simcode
TEMPLATE = lib
CONFIG += shared
DEFINES += #SIMCODE_LIBRARY #dont enable this

DEPLOY_PATH = D:/casp_sc/casp_deploy/CASP

INCLUDEPATH += $$DEPLOY_PATH/src
INCLUDEPATH += $$DEPLOY_PATH/src_fg
INCLUDEPATH += $$DEPLOY_PATH/src_py
INCLUDEPATH += $$DEPLOY_PATH/src_rp
INCLUDEPATH += $$DEPLOY_PATH/src_usr
INCLUDEPATH += $$DEPLOY_PATH/packs/Eigen

SOURCES += \
    $$DEPLOY_PATH/src/*.cpp \
    $$DEPLOY_PATH/src_fg/*.cpp

HEADERS += \
    $$DEPLOY_PATH/src/*.h \
    $$DEPLOY_PATH/src_fg/*.h \
    $$DEPLOY_PATH/src_py/*.h \
    $$DEPLOY_PATH/src_rp/casp_gpio/*.h \
    $$DEPLOY_PATH/src_rp/gen/*.h \
    $$DEPLOY_PATH/src_rp/sp/*.h \
    $$DEPLOY_PATH/src_rp/sd/*.h \
    $$DEPLOY_PATH/src_rp/thw/*.h \
    $$DEPLOY_PATH/src_usr/*.h

win32 {
    LIBS += -L$$DEPLOY_PATH/bin_win/lib/ -llibsimrt
}
linux {
    LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -lsimrt
    #LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -lavio
    #LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -llibsimsrc
}

unix {
    #target.path = /usr/lib
    #INSTALLS += target
}

DISTFILES += \
    $$DEPLOY_PATH/packs/Eigen/Eigen/CMakeLists.txt

###CASP
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp
INCLUDEPATH += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin/RootSignalClass.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin/sim_compiler_definitions.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin/sim_struct_defs.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin/sim_target.h
HEADERS += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/PulseGenerator212657893_439379910.h
HEADERS += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/ServoMotor111159027_266760305.h
HEADERS += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/ServoMotor111159027_847719531.h
HEADERS += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/TargetHw_Serial83821083_1072724821.h
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Sources/PulseGenerator/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/src_rp/thw
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/GPIO/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/Communication/Serial_NSP/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/Actuators/ServoMotor/bin
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Sources/PulseGenerator/bin/PulseGenerator212657893.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/GPIO/bin/TargetHw_IO863344046.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/Communication/Serial_NSP/bin/TargetHw_Serial83821083.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/Actuators/ServoMotor/bin/ServoMotor111159027.h

SOURCES += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/PulseGenerator212657893_439379910.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/ServoMotor111159027_266760305.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/ServoMotor111159027_847719531.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/build/qxntc1mqq0mjy4maa2ntuymxmjiwoay3mde2mqqxmjq0nwg1ndiymacwntewnwu0odcxoa_build_tmp/TargetHw_Serial83821083_1072724821.cpp
SOURCES += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/target_model/build/bin/RootSignalClass.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/src_rp/thw/casp_thw_helper.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/Hardware/GPIO/bin/TargetHw_IO863344046.cpp


