QT -= core gui

TARGET = simcode
TEMPLATE = lib
CONFIG += shared
DEFINES += #SIMCODE_LIBRARY #dont enable this

DEPLOY_PATH = D:/casp_sc/casp_deploy/CASP

INCLUDEPATH += $$DEPLOY_PATH/src
INCLUDEPATH += $$DEPLOY_PATH/src_fg
INCLUDEPATH += $$DEPLOY_PATH/src_py
INCLUDEPATH += $$DEPLOY_PATH/src_rp
INCLUDEPATH += $$DEPLOY_PATH/src_usr
INCLUDEPATH += $$DEPLOY_PATH/packs/Eigen

SOURCES += \
    $$DEPLOY_PATH/src/*.cpp \
    $$DEPLOY_PATH/src_fg/*.cpp

HEADERS += \
    $$DEPLOY_PATH/src/*.h \
    $$DEPLOY_PATH/src_fg/*.h \
    $$DEPLOY_PATH/src_py/*.h \
    $$DEPLOY_PATH/src_rp/casp_gpio/*.h \
    $$DEPLOY_PATH/src_rp/gen/*.h \
    $$DEPLOY_PATH/src_rp/sp/*.h \
    $$DEPLOY_PATH/src_rp/sd/*.h \
    $$DEPLOY_PATH/src_rp/thw/*.h \
    $$DEPLOY_PATH/src_usr/*.h

win32 {
    LIBS += -L$$DEPLOY_PATH/bin_win/lib/ -llibsimrt
}
linux {
    LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -lsimrt
    #LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -lavio
    #LIBS += -L$$DEPLOY_PATH/bin_lnx/lib/ -llibsimsrc
}

unix {
    #target.path = /usr/lib
    #INSTALLS += target
}

DISTFILES += \
    $$DEPLOY_PATH/packs/Eigen/Eigen/CMakeLists.txt

###CASP
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/build/g2nzmxngg4ndg2mqe0mzqxmwq4mdc5nqa5otm2oqkzoty4oqe5nzk1mwcynjgymauxndi2mq_build_tmp
INCLUDEPATH += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin/RootSignalClass.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin/sim_compiler_definitions.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin/sim_struct_defs.h
HEADERS += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin/sim_target.h
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/HardwareInterface/Camera/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ObjTracker/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ControlSystem/PID/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ImageConvert/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/src_fg
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/src
INCLUDEPATH += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin
INCLUDEPATH += D:/casp_sc/casp_deploy/CASP/build/g2nzmxngg4ndg2mqe0mzqxmwq4mdc5nqa5otm2oqkzoty4oqe5nzk1mwcynjgymauxndi2mq_build_tmp
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/HardwareInterface/Camera/bin/Camera728081476.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ObjTracker/bin/ObjTracker660713586.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ObjTracker/bin/ObjTrackFile.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ControlSystem/PID/bin/PID571635003.h
HEADERS += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ImageConvert/bin/ImageConvert964727384.h

SOURCES += D:/casp_package/casp_setup_final/casp_web_projects/vega_aries/obj_tracker_cam_vega/obj_tracker_cam_vega/native_model/build/bin/RootSignalClass.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/HardwareInterface/Camera/bin/Camera728081476.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ObjTracker/bin/ObjTracker660713586.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ObjTracker/bin/ObjTrackFile.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ControlSystem/PID/bin/PID571635003.cpp
SOURCES += D:/casp_sc/casp_deploy/CASP/blocks/CASPBlocks/ImageAndVoice/ImageConvert/bin/ImageConvert964727384.cpp


